summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-03-11 21:13:19 -0400
committer dsomero <xgizzmo@slackbuilds.org>2013-03-22 07:16:41 -0400
commit856d5f11d263065015f064241dc22047ce12f16f (patch)
tree0261c5556031dd1a84ce9f260c13cd5bfe941bcb /academic
parent5898ebe570201af207c374a1b5c4fe721f5350f7 (diff)
downloadslackbuilds-856d5f11d263065015f064241dc22047ce12f16f.tar.gz
slackbuilds-856d5f11d263065015f064241dc22047ce12f16f.tar.xz
academic/ij-plugins-UCSD: Added (Plugins for ImageJ)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ij-plugins-UCSD/README4
-rw-r--r--academic/ij-plugins-UCSD/ij-plugins-UCSD.SlackBuild64
-rw-r--r--academic/ij-plugins-UCSD/ij-plugins-UCSD.info10
-rw-r--r--academic/ij-plugins-UCSD/slack-desc19
4 files changed, 97 insertions, 0 deletions
diff --git a/academic/ij-plugins-UCSD/README b/academic/ij-plugins-UCSD/README
new file mode 100644
index 0000000000..f715f97be9
--- /dev/null
+++ b/academic/ij-plugins-UCSD/README
@@ -0,0 +1,4 @@
+UCSD Confocal Microscopy Plugins for ImageJ
+
+This is a set of 10 plugins from the University of California at San
+Diego that are designed to support microscopy work.
diff --git a/academic/ij-plugins-UCSD/ij-plugins-UCSD.SlackBuild b/academic/ij-plugins-UCSD/ij-plugins-UCSD.SlackBuild
new file mode 100644
index 0000000000..fc51f7d75e
--- /dev/null
+++ b/academic/ij-plugins-UCSD/ij-plugins-UCSD.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for ij-plugins-UCSD
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ij-plugins-UCSD
+VERSION=${VERSION:-20100812}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ucsd-plugins
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+mkdir $SRCNAM-$VERSION
+cd $SRCNAM-$VERSION
+unzip $CWD/$SRCNAM.zip
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/ImageJ/plugins/
+cp -a UCSD\ Plugins $PKG/usr/share/ImageJ/plugins/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ij-plugins-UCSD/ij-plugins-UCSD.info b/academic/ij-plugins-UCSD/ij-plugins-UCSD.info
new file mode 100644
index 0000000000..a3e19968a4
--- /dev/null
+++ b/academic/ij-plugins-UCSD/ij-plugins-UCSD.info
@@ -0,0 +1,10 @@
+PRGNAM="ij-plugins-UCSD"
+VERSION="20100812"
+HOMEPAGE="http://rsbweb.nih.gov/ij/plugins/ucsd.html"
+DOWNLOAD="http://rsbweb.nih.gov/ij/plugins/download/ucsd-plugins.zip"
+MD5SUM="277dec926cc27ade8ef01b8ae4bb69cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ImageJ"
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/ij-plugins-UCSD/slack-desc b/academic/ij-plugins-UCSD/slack-desc
new file mode 100644
index 0000000000..d6feae10fa
--- /dev/null
+++ b/academic/ij-plugins-UCSD/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ij-plugins-UCSD: ij-plugins-UCSD (UCSD Confocal Microscopy Plugins for ImageJ)
+ij-plugins-UCSD:
+ij-plugins-UCSD: This is a set of 10 plugins from the University of California at
+ij-plugins-UCSD: Diego that are designed to support microscopy work.
+ij-plugins-UCSD:
+ij-plugins-UCSD: Homepage: http://rsbweb.nih.gov/ij/plugins/ucsd.html
+ij-plugins-UCSD:
+ij-plugins-UCSD:
+ij-plugins-UCSD:
+ij-plugins-UCSD:
+ij-plugins-UCSD: